# Interface ICefWindowDelegateEvents

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFInterfaces

## Declaration

`type ICefWindowDelegateEvents = interface(ICefPanelDelegateEvents)`

## Description

Custom interface used to handle all the ICefWindowDelegate events.

## Hierarchy

- IInterface
- ICefViewDelegateEvents
- ICefPanelDelegateEvents
- ICefWindowDelegateEvents

## Overview

### Methods

| `procedure doOnWindowCreated(const window_: ICefWindow);`
| `procedure doOnWindowClosing(const window_: ICefWindow);`
| `procedure doOnWindowDestroyed(const window_: ICefWindow);`
| `procedure doOnWindowActivationChanged(const window_: ICefWindow; active: boolean);`
| `procedure doOnWindowBoundsChanged(const window_: ICefWindow; const new_bounds: TCefRect);`
| `procedure doOnWindowFullscreenTransition(const window_: ICefWindow; is_completed: boolean);`
| `procedure doOnGetParentWindow(const window_: ICefWindow; var is_menu, can_activate_menu: boolean; var aResult : ICefWindow);`
| `procedure doOnIsWindowModalDialog(const window_: ICefWindow; var aResult : boolean);`
| `procedure doOnGetInitialBounds(const window_: ICefWindow; var aResult : TCefRect);`
| `procedure doOnGetInitialShowState(const window_: ICefWindow; var aResult : TCefShowState);`
| `procedure doOnIsFrameless(const window_: ICefWindow; var aResult : boolean);`
| `procedure doOnWithStandardWindowButtons(const window_: ICefWindow; var aResult : boolean);`
| `procedure doOnGetTitlebarHeight(const window_: ICefWindow; var titlebar_height: Single; var aResult : boolean);`
| `procedure doOnAcceptsFirstMouse(const window_: ICefWindow; var aResult: TCefState);`
| `procedure doOnCanResize(const window_: ICefWindow; var aResult : boolean);`
| `procedure doOnCanMaximize(const window_: ICefWindow; var aResult : boolean);`
| `procedure doOnCanMinimize(const window_: ICefWindow; var aResult : boolean);`
| `procedure doOnCanClose(const window_: ICefWindow; var aResult : boolean);`
| `procedure doOnAccelerator(const window_: ICefWindow; command_id: Integer; var aResult : boolean);`
| `procedure doOnKeyEvent(const window_: ICefWindow; const event: TCefKeyEvent; var aResult : boolean);`
| `procedure doOnThemeColorsChanged(const window_: ICefWindow; chrome_theme: Integer);`
| `procedure doOnGetWindowRuntimeStyle(var aResult: TCefRuntimeStyle);`
| `procedure doOnGetLinuxWindowProperties(const window_: ICefWindow; var properties: TLinuxWindowProperties; var aResult: boolean);`

## Description

### Methods

| `procedure doOnWindowCreated(const window_: ICefWindow);`
This item has no description. ###### Attributes GUID['{05C19A41-E75D-459E-AD4D-C8A0CA4A49D3}']

| `procedure doOnWindowClosing(const window_: ICefWindow);`
This item has no description.

| `procedure doOnWindowDestroyed(const window_: ICefWindow);`
This item has no description.

| `procedure doOnWindowActivationChanged(const window_: ICefWindow; active: boolean);`
This item has no description.

| `procedure doOnWindowBoundsChanged(const window_: ICefWindow; const new_bounds: TCefRect);`
This item has no description.

| `procedure doOnWindowFullscreenTransition(const window_: ICefWindow; is_completed: boolean);`
This item has no description.

| `procedure doOnGetParentWindow(const window_: ICefWindow; var is_menu, can_activate_menu: boolean; var aResult : ICefWindow);`
This item has no description.

| `procedure doOnIsWindowModalDialog(const window_: ICefWindow; var aResult : boolean);`
This item has no description.

| `procedure doOnGetInitialBounds(const window_: ICefWindow; var aResult : TCefRect);`
This item has no description.

| `procedure doOnGetInitialShowState(const window_: ICefWindow; var aResult : TCefShowState);`
This item has no description.

| `procedure doOnIsFrameless(const window_: ICefWindow; var aResult : boolean);`
This item has no description.

| `procedure doOnWithStandardWindowButtons(const window_: ICefWindow; var aResult : boolean);`
This item has no description.

| `procedure doOnGetTitlebarHeight(const window_: ICefWindow; var titlebar_height: Single; var aResult : boolean);`
This item has no description.

| `procedure doOnAcceptsFirstMouse(const window_: ICefWindow; var aResult: TCefState);`
This item has no description.

| `procedure doOnCanResize(const window_: ICefWindow; var aResult : boolean);`
This item has no description.

| `procedure doOnCanMaximize(const window_: ICefWindow; var aResult : boolean);`
This item has no description.

| `procedure doOnCanMinimize(const window_: ICefWindow; var aResult : boolean);`
This item has no description.

| `procedure doOnCanClose(const window_: ICefWindow; var aResult : boolean);`
This item has no description.

| `procedure doOnAccelerator(const window_: ICefWindow; command_id: Integer; var aResult : boolean);`
This item has no description.

| `procedure doOnKeyEvent(const window_: ICefWindow; const event: TCefKeyEvent; var aResult : boolean);`
This item has no description.

| `procedure doOnThemeColorsChanged(const window_: ICefWindow; chrome_theme: Integer);`
This item has no description.

| `procedure doOnGetWindowRuntimeStyle(var aResult: TCefRuntimeStyle);`
This item has no description.

| `procedure doOnGetLinuxWindowProperties(const window_: ICefWindow; var properties: TLinuxWindowProperties; var aResult: boolean);`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.